package com.ruoyi.powerdistribution.domain.vo;

import com.ruoyi.powerdistribution.domain.PdmStopTarge;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class StopTargetAndRecords extends PdmStopTarge {

    /**
     * 实际停电总时长
     */
    private BigDecimal stopTotalActual;

    /**
     * 计划停电总时长
     */
    private BigDecimal planStopTotalActual;

    /**
     * 故障停电总时长
     */
    private BigDecimal errorStopTotalActual;

    /**
     * 实际停电总执行率
     */
    private String stopTotalRatio;

    /**
     * 计划停电总执行率
     */
    private String planStopTotalRatio;

    /**
     * 故障停电总时长执行率
     */
    private String errorStopTotalRatio;


    /**
     * 实际停电时长-1月
     */
    private BigDecimal stopMonth01Actual;
    private BigDecimal stopMonth02Actual;
    private BigDecimal stopMonth03Actual;
    private BigDecimal stopMonth04Actual;
    private BigDecimal stopMonth05Actual;
    private BigDecimal stopMonth06Actual;
    private BigDecimal stopMonth07Actual;
    private BigDecimal stopMonth08Actual;
    private BigDecimal stopMonth09Actual;
    private BigDecimal stopMonth10Actual;
    private BigDecimal stopMonth11Actual;
    private BigDecimal stopMonth12Actual;


    /**
     * 实际停电时长执行率-1月
     */
    private String stopMonth01Ratio;
    private String stopMonth02Ratio;
    private String stopMonth03Ratio;
    private String stopMonth04Ratio;
    private String stopMonth05Ratio;
    private String stopMonth06Ratio;
    private String stopMonth07Ratio;
    private String stopMonth08Ratio;
    private String stopMonth09Ratio;
    private String stopMonth10Ratio;
    private String stopMonth11Ratio;
    private String stopMonth12Ratio;

    /**
     * 计划停电-1月
     */
    private BigDecimal planStopMonth01Actual;
    private BigDecimal planStopMonth02Actual;
    private BigDecimal planStopMonth03Actual;
    private BigDecimal planStopMonth04Actual;
    private BigDecimal planStopMonth05Actual;
    private BigDecimal planStopMonth06Actual;
    private BigDecimal planStopMonth07Actual;
    private BigDecimal planStopMonth08Actual;
    private BigDecimal planStopMonth09Actual;
    private BigDecimal planStopMonth10Actual;
    private BigDecimal planStopMonth11Actual;
    private BigDecimal planStopMonth12Actual;

    /**
     * 计划停电执行率-1月
     */
    private String planStopMonth01Ratio;
    private String planStopMonth02Ratio;
    private String planStopMonth03Ratio;
    private String planStopMonth04Ratio;
    private String planStopMonth05Ratio;
    private String planStopMonth06Ratio;
    private String planStopMonth07Ratio;
    private String planStopMonth08Ratio;
    private String planStopMonth09Ratio;
    private String planStopMonth10Ratio;
    private String planStopMonth11Ratio;
    private String planStopMonth12Ratio;

    /**
     * 故障停电-1月
     */
    private BigDecimal errorStopMonth01Actual;
    private BigDecimal errorStopMonth02Actual;
    private BigDecimal errorStopMonth03Actual;
    private BigDecimal errorStopMonth04Actual;
    private BigDecimal errorStopMonth05Actual;
    private BigDecimal errorStopMonth06Actual;
    private BigDecimal errorStopMonth07Actual;
    private BigDecimal errorStopMonth08Actual;
    private BigDecimal errorStopMonth09Actual;
    private BigDecimal errorStopMonth10Actual;
    private BigDecimal errorStopMonth11Actual;
    private BigDecimal errorStopMonth12Actual;

    /**
     * 故障停电执行率-1月
     */
    private String errorStopMonth01Ratio;
    private String errorStopMonth02Ratio;
    private String errorStopMonth03Ratio;
    private String errorStopMonth04Ratio;
    private String errorStopMonth05Ratio;
    private String errorStopMonth06Ratio;
    private String errorStopMonth07Ratio;
    private String errorStopMonth08Ratio;
    private String errorStopMonth09Ratio;
    private String errorStopMonth10Ratio;
    private String errorStopMonth11Ratio;
    private String errorStopMonth12Ratio;

}
